Pointshop MySQL on Linux

Hello everyone, I am currently trying to setup my TTT server to use MySql.

As of yet, i have failed to do so as my server does not seem to be able to locate the modules.

I have placed the gmsv_mysqloo_linux.dll inside lua/bin even tried renaming it to gmsv_mysqloo.dll but with no luck.

The server is running ubuntu 64 bit, with the 32 bit libraries required for srcds to run.



Couldn't include file 'includes/modules/mysqloo.lua' (File not found) (@addons/pointshop-mysql-connect/lua/providers/mysql.lua (line 35))
L 01/18/2014 - 00:00:03: Lua Error:
[ERROR] addons/pointshop-mysql-connect/lua/providers/mysql.lua:35: Module not found!
1. require - [C]:-1
2. unknown - addons/pointshop-mysql-connect/lua/providers/mysql.lua:35
3. include - [C]:-1
4. LoadDataProviders - addons/pointshop-master/lua/sv_pointshop.lua:248
5. Initialize - addons/pointshop-master/lua/sh_pointshop.lua:44
6. unknown - addons/pointshop-master/lua/autorun/pointshop.lua:34



[ERROR] addons/pointshop-mysql-connect/lua/providers/mysql.lua:35: Module not found!
1. require - [C]:-1
2. unknown - addons/pointshop-mysql-connect/lua/providers/mysql.lua:35
3. include - [C]:-1
4. LoadDataProviders - addons/pointshop-master/lua/sv_pointshop.lua:248
5. Initialize - addons/pointshop-master/lua/sh_pointshop.lua:44
6. unknown - addons/pointshop-master/lua/autorun/pointshop.lua:34


Line 35 consists of



require('mysqloo')


Thank you for reading.

where is your libmysql